%define upstream_name    CPAN-Uploader
%define upstream_version 0.103000

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Upload things to the CPAN
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long::Descriptive) >= 0.84.0
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Test::More) >= 0.960.0
BuildArch:  noarch

# they both provides a binary called cpan-upload
Conflicts: cpan-uploader
%description
This code is mostly derived from cpan-upload-http by Brad Fitzpatrick,
which in turn was based on cpan-upload by Neil Bowers. I (rjbs) didn't
want to have to use a system call to run either of those, so I
refactored the code into this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/cpan-upload


%changelog
* Wed Jul 27 2011 misc <misc> 0.103.0-2.mga2
+ Revision: 129936
- fix file conflicts

* Mon Apr 11 2011 jquelin <jquelin> 0.103.0-1.mga1
+ Revision: 83350
- update to 0.103000

* Sun Jan 23 2011 jquelin <jquelin> 0.102.150-1.mga1
+ Revision: 33606
- mageia rebuild
- imported package perl-CPAN-Uploader

